BEGIN KIND25P



IF ~Global("KindrekJoined","LOCALS",1)~ THEN BEGIN KindrekBoot
  SAY ~You're kicking me out?!~
  ++ ~No, it was a mistake. Please stay.~ DO ~JoinParty()~ EXIT
  ++ ~For the time being. Will you wait right here?~ GOTO KindrekBoot1a
END

IF ~~ THEN BEGIN KindrekBoot1a
  SAY ~I'll make my way back to that pocket plane of yours. If you come up against an unbeatable wizard and need me, I'll be there.~
  IF ~~ THEN DO ~SetGlobal("KindrekJoined","LOCALS",0)SetGlobal("KindrekKickedOut","LOCALS",1)EscapeAreaMove("AR4500",869,395,7)~
EXIT
END



IF ~Global("KindrekJoined","LOCALS",0)
    Global("KindrekKickedOut","LOCALS",1)~ THEN BEGIN KindrekRejoin
  SAY ~Hello, again, <CHARNAME>! Do you need my services once again?~
  ++ ~Yes, Kindrek. Let's go.~ DO ~SetGlobal("KindrekJoined","LOCALS",1)JoinParty()~ EXIT
  ++ ~No, not yet.~ GOTO KindrekRejoin1a
END

IF ~~ THEN BEGIN KindrekRejoin1a
  SAY ~Very well. You know where I am if you need me.~
  IF ~~ THEN EXIT
END
